Bug 610939 - Need to ensure monitored resources are configured to return usable metrics/statistics
Need to ensure monitored resources are configured to return usable metrics/st...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
1.3.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 15:36 EDT by Larry O'Leary
Modified: 2014-06-02 15:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 15:03:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2010-07-02 15:36:25 EDT
Would like the plug-ins/metric collection system to handle setting of properties necessary for metric collection of certain resources.  This should be done in a general manner but a specific request/example is:

By default, EAP's TransactionManager MBean does not report statistics.  Instead, it has a property named StatisticsEnabled and its default value is false.  Currently, to get a TransactionManager resource deployed to an EAP instance to report meaningful metrics to JON, one must modify this property in EAP prior to JON being able to collect non-zero metrics.  So, it would be ideal to have the JON system update this property at run-time based on the fact that metrics are being collected form the TransactionManager MBean.  If JON can not update this property, it should then report to the user via the UI and logs that metrics can not be collected for TransactionManager because StatisticsEnabled is false.

For JON to update this property at run-time, I am guessing that https://jira.jboss.org/browse/JBPAPP-3768 would first need to be addressed.
Comment 1 Corey Welton 2010-09-28 08:52:42 EDT
charles - what are your thoughts on this bz?
Comment 2 Jay Shaughnessy 2014-06-02 15:03:36 EDT
closing due to inactivity

Note You need to log in before you can comment on or make changes to this bug.